version: '3'

services: 
  rhasspy:
    image: rhasspy/rhasspy
    restart: always
    container_name: rhasspy
    volumes:
      - rhasspy_profiles:/profiles
      - /etc/localtime:/etc/localtime:ro
    networks:
      - proxy
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.rhasspy-secure.entrypoints=https"
      - "traefik.http.routers.rhasspy-secure.rule=Host(`rhasspy.mrdev023.fr`)"
      - "traefik.http.routers.rhasspy-secure.tls=true"
      - "traefik.http.routers.rhasspy-secure.tls.certresolver=sslResolver"
      # - "traefik.http.routers.rhasspy-secure.service=rhasspy"
      - "traefik.http.services.rhasspy.loadbalancer.server.port=12101"
      - "traefik.docker.network=proxy"
    command: --user-profiles /profiles --profile fr

volumes:
  rhasspy_profiles:

networks:
  proxy:
    external: true
